var React = require('react');
var codejar = require('@medv/codejar');

var useCodeJar = function useCodeJar(props) {
  var editorRef = React.useRef(null);
  var jar;
  React.useEffect(function () {
    if (!editorRef.current) return;
    jar = new codejar.CodeJar(editorRef.current, props.highlight, props.options);
    jar.onUpdate(props.onUpdate);
    return function () {
      return jar.destroy();
    };
  }, [editorRef.current]);
  React.useEffect(function () {
    if (!jar) return;
    jar.updateCode(props.code);
  }, [props.code]);
  React.useEffect(function () {
    if (!jar || !props.options) return;
    jar.updateOptions(props.options);
  }, [props.options]);
  return editorRef;
};
var ReactCodeJar = function ReactCodeJar(props) {
  var editorRef = useCodeJar(props);
  return React.createElement("div", {
    style: props.style,
    ref: editorRef
  });
};

exports.ReactCodeJar = ReactCodeJar;
exports.useCodeJar = useCodeJar;
//# sourceMappingURL=index.js.map
