import { useRef, useEffect, createElement } from 'react';
import { CodeJar } from '@medv/codejar';

var useCodeJar = function useCodeJar(props) {
  var editorRef = useRef(null);
  var jar;
  useEffect(function () {
    if (!editorRef.current) return;
    jar = new CodeJar(editorRef.current, props.highlight, props.options);
    jar.onUpdate(props.onUpdate);
    return function () {
      return jar.destroy();
    };
  }, [editorRef.current]);
  useEffect(function () {
    if (!jar) return;
    jar.updateCode(props.code);
  }, [props.code]);
  useEffect(function () {
    if (!jar || !props.options) return;
    jar.updateOptions(props.options);
  }, [props.options]);
  return editorRef;
};
var ReactCodeJar = function ReactCodeJar(props) {
  var editorRef = useCodeJar(props);
  return createElement("div", {
    style: props.style,
    ref: editorRef
  });
};

export { ReactCodeJar, useCodeJar };
//# sourceMappingURL=index.modern.js.map
